#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'lelang.informarsi_tender'} ${paket?.pkt_nama}
#{/set}

<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}" >&{'lelang.home'}</a></li>
	<li><a href="@{lelang.LelangCtr.view(lelang.lls_id)}" >&{'lelang.informasi_tender'}</a></li>
	<li class="active">&{'lelang.membatalkan_tender_mengulang'}</li>
</ul>
<div class="content">
#{alert /}
#{form @lelang.LelangCtr.tutupSubmit(lelang.lls_id), id:"formSubmit"}
<input type="hidden" name="actionLelang" value="${persetujuan?.pst_jenis?.key}" />
<table class="table table-sm">
	<tr>
		<th class="bgwarning" width="200">Kode Tender</th>
		<td >${lelang.lls_id} <a href="@{admin.UtilityCtr.viewPDF(lelang.lls_id)}" class="badge  badge-secondary float-right">Summary Tender</a></td>
	</tr>
	<tr>
		<th class="bgwarning">Nama Paket</th>
		<td>${lelang.namaPaket}</td></tr>
	<tr>
		<th class="bgwarning">Tahap Tender saat ini</th>
		<td><a href="@{lelang.JadwalCtr.tahap(lelang.lls_id)}" target="_blank">${tahapNow?.raw()}</a></td>
	</tr>
	<tr>
		<th class="bgwarning">Satuan Kerja</th>
		<td>${lelang.paket?.namaSatker}</td>
	</tr>
	<tr>
		<th class="bgwarning">Tender ke</th>
		<td >${lelang.lls_versi_lelang}</td>
	</tr>
	#{if !belumPersetujuan }
		<tr>
			<th class="bgwarning">${alasanLabel}</th>
			<td>
				#{if !checklist?.isEmpty()}
					#{list items:checklist, as:'item'}
					- ${item?.checklist_master?.ckm_nama} <br/>
					#{/list}
				#{/if}
				#{if !lelang.lls_ditutup_karena?.isEmpty()} - ${lelang.lls_ditutup_karena} #{/if}
			</td>
		</tr>
	#{/if}
</table>
	#{if belumPersetujuan}
		#{if allowEvaluasiUlang && !lelang.pemilihan.lelangExpress}
		<a href="@{lelang.EvaluasiCtr.ulang(lelang.lls_id)}" title="Anda akan melakukan evaluasi ulang terhadap paket ini?" class="btn btn-success confirm">Evaluasi Ulang</a>
		<a href="@{lelang.LelangCtr.penawaranUlang(lelang.lls_id)}" title="Anda akan melakukan penyampaian penawaran ulang terhadap paket ini?" class="btn btn-success confirm">Menyampaikan Penawaran Ulang</a>
		#{/if}
		<a id="modalPascaBatal" data-target="#modalPascaBatal" data-toggle="modal" class="btn btn-danger" title="" href="#">Tender Gagal</a>
		<a id="modalPascaUlang"  data-target="#modalPascaUlang" data-toggle="modal" class="btn btn-danger" title="" href="#">Tender Ulang</a>
	#{/if}
	#{else}
		<div class="card card-info">
			<div class="card-header"><b>Status Persetujuan ${persetujuan.pst_jenis.batal ? "Gagal" : "Ulang"} Tender</b></div>
			#{persetujuanList lelang.lls_id, pemenang:false, jenisKey:persetujuan.pst_jenis.key /}
		</div>
		#{if allowPersetujuan}
			<div class="card card-info">
				<div class="card-header"><b>Persetujuan</b></div>
				<div class="card-body">
					<div class="form-group">
						<label><b>Alasan Tidak Setuju</b></label>
						<textarea id="alasan" name="alasanTidakSetuju" rows="4" cols="50" class="form-control #{validate 'alasanTidakSetuju'/}">${lelang.findPersetujuan(active_user.pegawaiId, false)?.alasan}</textarea>
						<div class="invalid-feedback">#{error 'alasanTidakSetuju' /}</div>
						<span class="form-text">Alasan minimal <b>30 karakter</b> </span>
					</div>
					<button type="submit" name="setuju" id="setuju" value="true" class="btn btn-primary">Setuju</button>
					<button type="submit" name="setuju" id="tidak-setuju" value="false" class="btn btn-danger">Tidak Setuju</button>
				</div>
			</div>
		#{/if}
		#{if allowBatalPersetujuan}
		<a href="@{lelang.PersetujuanCtr.batalPersetujuanTutupTender(lelang.lls_id)}" onclick="return confirm('Apakah Anda yakin untuk membatalkan Persetujuan Anda?')"
		   class="btn btn-danger">Pembatalan Persetujuan</a>
		#{/if}
	#{/else}
	#{backButton action:@lelang.LelangCtr.view(lelang.lls_id) /}
	#{/form}
</div>
<div id="praulang" style="display:none;">
#{form @lelang.LelangCtr.tutupSubmit(lelang.lls_id), id:"form-ulangpra"}
 	<input type="hidden" name="actionLelang" value="${persetujuan?.pst_jenis?.key}" />
	<table>
		<tr>
			<td>Alasan Tender Ulang <span class="warning">*</span></td>
		</tr>
		<tr>
			<td>
				<table  id="tblChecklistUlang">
					#{if checklist}	
					#{list items:checklist, as:'item'}
					<input type="hidden" name="checklistKategori[${item_index-1}].cks_id" value="${item.cks_id}" />	
					<tr class="syarat">	
						<td width="5">
							#{if item?.checklist_master.checked}
								<input type="hidden" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" />
								<input type="checkbox" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" checked="checked" />	
							#{/if}
							#{else}
								<input style="margin-right: 10px;" type="checkbox" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} />
							#{/else}
						</td>	
						<td>
							${item?.checklist_master.ckm_nama}
						</td>
					</tr>	
					#{/list}
					#{/if}
				</table>					
			</td>
		</tr>
		<tr>
		    <td>
		    	<textarea #{if lelang.isSedangPersetujuanBatalTender()} readonly #{/if} id="alasan_ulang" name="alasan" validate="required" cols="50" rows="4" class="form-control" style="display: none;">${lelang?.lls_diulang_karena}</textarea>
		        <div class="invalid-feedback">#{error 'alasan'/}</div>
		        <div class="bs-callout bs-callout-info">
					<strong>Penting!</strong><br />Tender yang dibatalkan tidak dapat dibuka kembali kecuali oleh admin PPE. Pastikan bahwa ada alasan yang kuat untuk melakukannya. Semua peserta Tender akan mendapatkan pemberitahuan melalui email.
				</div>
		    </td>
		</tr>	
	</table>
  	#{/form}
   <div><input type="checkbox" id="praulang_toggle"> &nbsp; Saya yakin akan mengulang paket ini.</div>
</div>
<div id="prabatal" style="display:none;">
	#{form @lelang.LelangCtr.tutupSubmit(lelang.lls_id), id:"form-batalpra"}
	  <input type="hidden" name="actionLelang" value="${persetujuan?.pst_jenis?.key}" />
		<table>
		<tr>
			<td>Alasan Tender Gagal <span class="warning">*</span></td>
		</tr>
		<tr>
			<td>
				<table id="tblChecklist">
					#{if checklist}	
					#{list items:checklist, as:'item'}
					<input type="hidden" name="checklistKategori[${item_index-1}].cks_id" value="${item.cks_id}" />	
					<tr class="syarat">	
						<td width="5">
							#{if item?.checklist_master.checked}
								<input type="hidden" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" />
								<input type="checkbox" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" checked="checked" />	
							#{/if}
							#{else}
								<input style="margin-right: 10px;" type="checkbox" name="checklistKategori[${item_index-1}].ckm_id" value="${item.checklist_master.ckm_id}" #{if item.checked} checked="checked" #{/if} />
							#{/else}
						</td>	
						<td>
							${item?.checklist_master.ckm_nama}
						</td>
					</tr>	
					#{/list}
					#{/if}
					<tr>
						<td><input type="checkbox" name="chkAlasanBatal" id="chkAlasanBatal"></td>
						<td>Alasan Lainnya</td>
					</tr>
				</table>					
			</td>
		</tr>
		<tr>
		    <td>
		    	<textarea #{if lelang.isSedangPersetujuanBatalTender()}readonly#{/if} id="alasan" name="alasan" validate="required" cols="50" rows="4" class="form-control" style="display: none;">${lelang?.lls_diulang_karena}</textarea>
		        <div class="invalid-feedback">#{error 'alasan'/}</div>
		        <div class="bs-callout bs-callout-info">
					<strong>Penting!</strong><br/>Tender yang dibatalkan tidak dapat dibuka kembali kecuali oleh admin PPE. Pastikan bahwa ada alasan yang kuat untuk melakukannya. Semua peserta Tender akan mendapatkan pemberitahuan melalui email.
				</div>
		    </td>
		</tr>	
	</table>
   #{/form}
   <div><input type="checkbox" id="prabatal_toggle"> &nbsp; Saya yakin akan menggagalkan paket ini.</div>
</div>

#{set 'custom_script'}
	<script type="text/javascript">
	$(function () {
		$(document).on('click','#praulang_toggle', function () {
			if ($(this).is(':checked')) {
				praulang_dialog.getButton('praulang_yes').enable();
			} else {
				praulang_dialog.getButton('praulang_yes').disable();
			}
		});

		$(document).on('click', '#prabatal_toggle', function () {
			if ($(this).is(':checked')) {
				prabatal_dialog.getButton('prabatal_yes').enable();
			} else {
				prabatal_dialog.getButton('prabatal_yes').disable();
			}
		});

		var praulang_dialog = new BootstrapDialog({
			size: BootstrapDialog.SIZE_WIDE,
			draggable: true,
			title:'Tender Ulang',
			message: $('#praulang').contents(),
			closable : false,
			buttons: [
				{id:'praulang_yes', name:'praulang_yes', label: 'Ya', cssClass: 'btn-success',
					action: function(dialog) {
						$('#form-ulangpra').submit();
					}
				},
				{id: 'praulang_no', name: 'praulang_no', label: 'Tidak',
					action: function(dialog) {
						dialog.close();
					}
				}]
		});

		var prabatal_dialog = new BootstrapDialog({
			size: BootstrapDialog.SIZE_WIDE,
			draggable: true,
			title:'Tender Gagal',
			message:$('#prabatal').contents(),
			buttons: [
				{id:'prabatal_yes', name:'prabatal_yes', label: 'Ya', cssClass: 'btn-primary',
					action: function(dialog) {
						$('#form-batalpra').submit();
					}
				},
				{id: 'prabatal_no', name: 'prabatal_no', label: 'Tidak',
					action: function(dialog) {
						dialog.close();
					}
				}]
		});

        $(document).on('click','#chkAlasanBatal',function () {
            if ($(this).is(":checked")) {
                $("#alasan").show();
            } else {
                $("#alasan").hide();
            }
        });

        $("#modalPascaBatal").click(function () {
			BootstrapDialog.show({
				draggable: true,
				title: 'Konfirmasi',
				message: 'Apakah anda yakin akan menggagalkan paket ini?',
				buttons: [{
					id : 'btn-1',
					label: 'Ya',
					cssClass : 'btn-primary',
					action: function(dialog) {
						dialog.close();
						prabatal_dialog.realize();
						prabatal_dialog.getButton('prabatal_yes').disable();
						prabatal_dialog.open();
					}
				}, {
					id : 'btn-2',
					label: 'Tidak',
					action: function(dialog) {
							dialog.close();
					}
				}]
			});
			return false;
        });

        $("#modalPascaUlang").click(function() {
        	BootstrapDialog.show({
				title: 'Konfirmasi',
				message: 'Apakah anda yakin akan mengulang paket ini?',
				buttons: [{
					id : 'btn-1',
					label: 'Ya',
					cssClass : 'btn-primary',
					action: function(dialog) {
						dialog.close();
						praulang_dialog.realize();
						praulang_dialog.getButton('praulang_yes').disable();
						praulang_dialog.open();
					}
				}, {
					id : 'btn-2',
					label: 'Tidak',
					action: function(dialog) {
						dialog.close();
					}
				}]
			});
			return false;
        });
    });
	</script>
#{/set}